PETSc version 3.15.5
Fix/Edit manual page

# PCSetErrorIfFailure

Causes PC to generate an error if a FPE, for example a zero pivot, is detected.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetErrorIfFailure(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - iterative context obtained from PCCreate()
| flg | - PETSC_TRUE indicates you want the error generated

### Notes

Normally PETSc continues if a linear solver fails due to a failed setup of a preconditioner, you can call KSPGetConvergedReason() after a KSPSolve() to determine if it has converged or failed. Or use -ksp_error_if_not_converged to cause the program to terminate as soon as lack of convergence is detected.

This is propagated into KSPs used by this PC, which then propagate it into PCs used by those KSPs

### See Also

PCGetInitialGuessNonzero(), PCSetInitialGuessKnoll(), PCGetInitialGuessKnoll()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages